/* Oligoatria 14_12_2006 - Classe per la conversione di un file nff in txt per il
  motore grafico progettato a partire dalla guida di NeHe sull'OpenGL */
// 31/12/2006 - mi sono reso conto che, oltre a non funzionare sempre correttamente,
//              la funzione ConvertiNumero non  necessaria, in quanto GLWorld 
//              in grado di leggere float del tipo 1.1E+01; quindi  sufficiente copiare i 
//              vertici nella loro forma originale

#if !defined(AFX_CONVERTER_H__A07C413E_C1F0_4CB8_A4D5_1ED95ED5928F__INCLUDED_)
#define AFX_CONVERTER_H__A07C413E_C1F0_4CB8_A4D5_1ED95ED5928F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


struct SPunto  // Struttura Punto
{
	char x[15], y[15], z[15];    // coordinate nello spazio 3D
	char u[15], v[15];           // coordinate delle texture
};

struct SLato   // Struttura Lato (composta non da coordinate, ma dagl'indici dei vertici)
{
	int *nVertice;      // indici dei vertici che formano la superficie
	int n_vertici;      // quanti nVertice ci sono (solitamente 4, o 3
	char nome_file[64]; // nome del file della texture
};

/*
struct SLCubo  // Struttura Lista Cubi
{
	SPunto Vertici[8];  // i vertici del cubo
	SLato  Lati[6];     // gli indici dei vertici di ogni lato
	SLCubo *next;       // il cubo successivo della lista
};
*/

struct SLOggetto3D  // Struttura Lista oggetti 3D
{
	SPunto *Vertici;    // i vertici della figura
	int n_vertici;
	SLato  *Lati;       // gli indici dei vertici di ogni lato
	int n_lati;
	SLOggetto3D *next;  // l'oggetto successivo della lista
};


// La mia intenzione non  di mostrarmi affine al Java lavorando solo con classi, bens 
  // di garantire una facile portabilit di questo codice, dato che potrei averne bisogno.
// Ho creato funzioni che restituiscono int per gestire gli eventuali errori
class CConverter
{
	public:    
		int Converti(char *nome_file);   // funzione main: si gestisce da sola utilizzando le 
		                               // funzioni private

	private:
		/* variabili */
			
			/* file */
				char *fName;         // file name
				FILE *fSrc;	    	 // file sorgente
				FILE *fDst;          // file di destinazione
			/* lista cubi */
				SLOggetto3D *testa;		 // lista di cubi --> elemento di testa
				SLOggetto3D *pos;         // lista di cubi --> elemento di scorrimento

		/* funzioni */
			int Carica(void);               // Ricava dal file sorgente fSrc i vertici dei
											  // cubi, salvandoli nella lista di tipo SLCubo				
			int SalvaTriangoli(void); // salva nel nuovo file le coordinate nel formato interessato (vertici di triangoli)
};


#endif // !defined(AFX_CONVERTER_H__A07C413E_C1F0_4CB8_A4D5_1ED95ED5928F__INCLUDED_)