#ifndef JPEG_H
#define JPEG_H

#pragma comment(lib, "opengl32.lib")
#pragma comment(lib, "glu32.lib")
#pragma comment(lib, "glaux.lib")
#pragma comment(lib, "data/lib/jpeg.lib")


#include <windows.h>
#include <windowsx.h>
#include <gl\gl.h>			// Header File For The OpenGL32 Library
#include <gl\glu.h>			// Header File For The GLu32 Library
#include <gl\glaux.h>		// Header File For The Glaux Library
#include <stdio.h>
#include <stdlib.h>

#include "data/include/jpeglib.h"

extern HWND			hWnd;		// Handle alla Finestra 

tImageJPG *Load_JPEG(const char *strfilename);

void Decompress_JPEG(jpeg_decompress_struct* cInfo, tImageJPG *pImgData);

int JPEG_Texture(/*GLuint*/UINT *textureEle, LPSTR strFileName);

#endif



// www.morrowland.com
// apron@morrowland.com