/* Oligoatria 14_12_2006 - Classe per la conversione di un file nff in txt per il
  motore grafico progettato a partire dalla guida di NeHe sull'OpenGL */


#include "stdafx.h"
#include "Converter.h"
#include "iostream.h"
#include "string.h"
#include "stdlib.h"  // per la conversione strtod
#include "stdio.h"

#include "afxcmn.h"			// MFC support for Windows Common Controls


int CConverter::Converti(char *nome_file)
{
	// salvo il nome del file in fName
		fName=nome_file;   // tutto si deve concludere in questa funzione, quindi  lecito
		                     // assegnare fName ad un puntatore locale alla funzione
	
	// inizializzazione variabili
		testa=NULL;
		pos=NULL;

	// assegnazione file fisico-logico
		fSrc=fopen( fName, "r" );              	// lettura e/o scrittura
		if (fSrc==NULL) return 0;   // ERRORE: non  riuscito a trovare il file da aprire

		fDst=fopen( "Level_.txt", "w" );  		// creo un file per scrivere dati
		if (fDst==NULL) return 0;   // ERRORE: non riesce a creare il file - forse la directory  protetta

	// carico il contenuto del file convertendolo per il salvataggio nella lista
		Carica();

	// ricavo e salvo su file i triangoli bidimensionali di cui sar costituito il cubo
		SalvaTriangoli();

	return 1;  // tutto OK
}

int CConverter::Carica(void)
{
	int i, j, k, tmp, q, vert;
	char num[20];
	char buffer[256]; // 256  la lunghezza max della riga (non dovrebbero 
			                    // capitare nemmeno righe oltre i 100 caratteri)

		if (fgets( buffer, 255, fSrc)==NULL)
			return 0;  // ERRORE NEL CARICAMENTO DA FILE
		if (fgets( buffer, 255, fSrc)==NULL)
			return 0;  // ERRORE NEL CARICAMENTO DA FILE
		if (fgets( buffer, 255, fSrc)==NULL)  // riga inutile (nome oggetto)
			return 0;  // ERRORE NEL CARICAMENTO DA FILE

	// inizio il ciclo fino alla fine del file: la prima riga dice cubo - tipo oggetto
	       //                                   la seconda 8            - vertici oggetto
		while (!feof(fSrc))
		{
			// inserisco l'elemento in testa alla lista // il nuovo elemento  dunque testa
				pos=testa;
				testa=new SLOggetto3D;
				testa->next=pos;
						
			// numero vertici
				if (fgets( buffer, 255, fSrc)==NULL) return 0;
				buffer[strlen(buffer)-1]='\0';  // rendo la stringa leggibile (tolgo il '\n')
				testa->n_vertici=(int)strtod(buffer, NULL);					
				
				testa->Vertici=new SPunto[testa->n_vertici];
				
			// ora converto le righe di coordinate
				for (i=0; i<testa->n_vertici; i++) 
				{	
					
					if (fgets( buffer, 255, fSrc)==NULL) return 0;
					buffer[strlen(buffer)-1]='\0';

					j=0;
					for (k=0; buffer[j]!=' '; j++, k++) 
						testa->Vertici[i].x[k]=buffer[j];
					testa->Vertici[i].x[k]='\0';
					j++;

					for (k=0; buffer[j]!=' '; j++, k++)
						testa->Vertici[i].y[k]=buffer[j];
					testa->Vertici[i].y[k]='\0';
					j++;

					for (k=0; (buffer[j]!=' '); j++, k++)
						testa->Vertici[i].z[k]=buffer[j];
					testa->Vertici[i].z[k]='\0';
					
					for (j++; (buffer[j]!='v'); j++);
					j+=2;

					for (k=0; (buffer[j]!=' '); j++, k++)
						testa->Vertici[i].u[k]=buffer[j];
					testa->Vertici[i].u[k]='\0';
					j++;

					k=0;   // inverto verticalmente le texture
					if (buffer[j]=='-') j++;
					else testa->Vertici[i].v[k++]='-'; 
					for (; (buffer[j]!='\0'); j++, k++)
						testa->Vertici[i].v[k]=buffer[j];
					testa->Vertici[i].v[k]='\0';
				
				}

			// numero facce
				if (fgets( buffer, 255, fSrc)==NULL) return 0;
				buffer[strlen(buffer)-1]='\0';  // rendo la stringa leggibile (tolgo il '\n')
				testa->n_lati=(int)strtod(buffer, NULL);

				testa->Lati=new SLato[testa->n_lati];
				
			// ora copio i dati per la formazione dei lati del cubo
			  // si tratta degli indici dei lati che formano ogni superficie
				for (i=0; i<testa->n_lati; i++)
				{
					if (fgets( buffer, 255, fSrc)==NULL)
						return 0;  // ERRORE NEL CARICAMENTO DA FILE

					// ora leggo i dati utili											
							//for (q=0; (buffer[q]>='0')&&(buffer[q]<='9'); q++);  // numero di vertici per formare il lato
						/* numero di vertici da leggere */
							q=0;
							for (tmp=0; (buffer[q]>='0')&&(buffer[q]<='9'); q++) num[tmp++]=buffer[q]; 
							num[tmp]='\0';
							testa->Lati[i].n_vertici = (int)strtod(num, NULL);							 
							testa->Lati[i].nVertice = new int[testa->Lati[i].n_vertici];  // alloco lo spazio di memoria necerrario a n vertici
							
							for (vert=0; vert<testa->Lati[i].n_vertici; vert++)
							{
								/* vertice [vert] */	
									q++;
									for (tmp=0; (buffer[q]>='0')&&(buffer[q]<='9'); q++) num[tmp++]=buffer[q]; 
									num[tmp]='\0';
									testa->Lati[i].nVertice[vert] = (int)strtod(num, NULL);
							}

					    q+=10;
				
					// controllo se  indicata una texture
						if ((buffer[q]=='_')&&(buffer[q+1]=='s')&&(buffer[q+2]=='_'))
						{
							buffer[q+2]='#'; 
							// salvo il nome del file BMP
							strcpy(testa->Lati[i].nome_file, &buffer[q+2]);
						}
						else
						{
							buffer[q-2]='@';
							strcpy(testa->Lati[i].nome_file, &buffer[q-2]);
						}
				}

				if (fgets( buffer, 255, fSrc)==NULL)  // vado a caporiga
					return 0;  // ERRORE NEL CARICAMENTO DA FILE
		}


	// ora posso chiudere il file sorgente
		fclose(fSrc);

	return 1;  // tutto OK
}

int CConverter::SalvaTriangoli(void)
{
//	char buffer[256];
	CString Buffer;
	int i, j, a, b, n, numpollies;
			
	// lascio lo spazio libero, nel file, per il numero di triangoli	
		Buffer.Format("                                               \n\n");
		fputs(Buffer, fDst);

		numpollies=0;

	// salvo su file per ogni cubo le rispettive coordinate
	
		for (pos=testa; pos!=NULL; pos=pos->next)
		{			
		    for (i=0; i<(pos->n_lati); i++)
			{	
				n=pos->Lati[i].n_vertici;   // numero di vertici
	
				/* procedo con un particolare metodo di suddivisione dei poligoni in triangoli */

				/* 
					1 - collego tutti i lati nel modo seguente: 012 234 456 678 ... fino ad arrivare ad n oppure a 0
					2 - ora devo ricavare il/i triangoli centrali con la successione uguale a quella sopra, ma solo per i numeri pari, compreso lo 0
				*/
				
				if (n>2)
				{
					/* 1 */
					for (a=0; (a<(n-1)); )  // utilizzo 'b' perch 'a' mi serve anche al secondo passaggio a 0, ma non uscirebbe dal ciclo, se non con un break
					{					
						b=a;
						j=pos->Lati[i].nVertice[b];
						Buffer.Format("%s %s %s %s %s\n", pos->Vertici[j].x, pos->Vertici[j].y, pos->Vertici[j].z, pos->Vertici[j].u, pos->Vertici[j].v);
						
						fputs(Buffer, fDst);

						b=++a;
						if (a > (n-1)) b=0;
						j=pos->Lati[i].nVertice[b];
						Buffer.Format("%s %s %s %s %s\n", pos->Vertici[j].x, pos->Vertici[j].y, pos->Vertici[j].z, pos->Vertici[j].u, pos->Vertici[j].v);
						
						fputs(Buffer, fDst);

						b=++a;
						if (a > (n-1)) b=0;
						j=pos->Lati[i].nVertice[b];
						Buffer.Format("%s %s %s %s %s\n", pos->Vertici[j].x, pos->Vertici[j].y, pos->Vertici[j].z, pos->Vertici[j].u, pos->Vertici[j].v);

						fputs(Buffer, fDst);

						// per ogni triangolo salvo il nome del file della sua texture
						/* texture */
							Buffer.Format("%s\n", pos->Lati[i].nome_file);
							fputs(Buffer, fDst);					

						numpollies++;
					}

					/* 2 */
					if (n>4)  // altrimenti non ci sarebbe un centro da disegnare
					{
						for (a=0; (a<(n-2)); )  // utilizzo 'b' perch 'a' mi serve anche al secondo passaggio a 0, ma non uscirebbe dal ciclo, se non con un break
						{					
							b=a;
							j=pos->Lati[i].nVertice[b];
							Buffer.Format("%s %s %s %s %s\n", pos->Vertici[j].x, pos->Vertici[j].y, pos->Vertici[j].z, pos->Vertici[j].u, pos->Vertici[j].v);
							
							fputs(Buffer, fDst);

							a=a+2;
							b=a;
							if (a > (n-1)) b=0;
							j=pos->Lati[i].nVertice[b];
							Buffer.Format("%s %s %s %s %s\n", pos->Vertici[j].x, pos->Vertici[j].y, pos->Vertici[j].z, pos->Vertici[j].u, pos->Vertici[j].v);
							
							fputs(Buffer, fDst);

							a=a+2;
							b=a;
							if (a > (n-1)) b=0;
							j=pos->Lati[i].nVertice[b];
							Buffer.Format("%s %s %s %s %s\n", pos->Vertici[j].x, pos->Vertici[j].y, pos->Vertici[j].z, pos->Vertici[j].u, pos->Vertici[j].v);

							fputs(Buffer, fDst);

							// per ogni triangolo salvo il nome del file della sua texture
							/* texture */
								Buffer.Format("%s\n", pos->Lati[i].nome_file);
								fputs(Buffer, fDst);
								
							numpollies++;
						}
					}
					if (n>8)  // non dovrebbero esserci poligoni con pi di 16 vertici
					{
						for (a=0; (a<(n-2)); )  // utilizzo 'b' perch 'a' mi serve anche al secondo passaggio a 0, ma non uscirebbe dal ciclo, se non con un break
						{					
							b=a;
							j=pos->Lati[i].nVertice[b];
							Buffer.Format("%s %s %s %s %s\n", pos->Vertici[j].x, pos->Vertici[j].y, pos->Vertici[j].z, pos->Vertici[j].u, pos->Vertici[j].v);
							
							fputs(Buffer, fDst);

							a=a+4;
							b=a;
							if (a > (n-1)) b=0;
							j=pos->Lati[i].nVertice[b];
							Buffer.Format("%s %s %s %s %s\n", pos->Vertici[j].x, pos->Vertici[j].y, pos->Vertici[j].z, pos->Vertici[j].u, pos->Vertici[j].v);
							
							fputs(Buffer, fDst);

							a=a+4;
							b=a;
							if (a > (n-1)) b=0;
							j=pos->Lati[i].nVertice[b];
							Buffer.Format("%s %s %s %s %s\n", pos->Vertici[j].x, pos->Vertici[j].y, pos->Vertici[j].z, pos->Vertici[j].u, pos->Vertici[j].v);

							fputs(Buffer, fDst);

							// per ogni triangolo salvo il nome del file della sua texture
							/* texture */
								Buffer.Format("%s\n", pos->Lati[i].nome_file);
								fputs(Buffer, fDst);
								
							numpollies++;
						}
					}
					
				}
			}

			
		}


	// ora posso chiudere il file di destinazione
		fclose(fDst);
	// ora salvo nel file il numero di triangoli da disegnare
		fDst=fopen( "Level_.txt", "r+" );  		// apro un file per (leggere o )scrivere dati
		if (fDst==NULL) return 0;   // ERRORE: non riesce a creare il file - forse la directory  protetta

		Buffer.Format("NUMPOLLIES %i", numpollies);
		fputs(Buffer, fDst);

		fclose(fDst);



	return 1;  // tutto OK
}

